be.fgov.ehealth.mediprima.core.v2

## Class CarmedIdentifierType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v2.CarmedIdentifierType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:40:26+02:00",
                 comments="JAXB RI v2.2.11")
      public class CarmedIdentifierType
      extends Object
      implements Serializable

  Java class for CarmedIdentifierType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CarmedIdentifierType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CarmedNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="VersionNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
               <element name="Beneficiary" type="{urn:be:fgov:ehealth:mediprima:core:v2}BeneficiaryType"/>
               <element name="ValidityPeriod" type="{urn:be:fgov:ehealth:mediprima:core:v2}PeriodType"/>
               <element name="Pswc" type="{urn:be:fgov:ehealth:mediprima:core:v2}OcmwCpasType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CarmedIdentifierType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeneficiaryType` | `getBeneficiary()` Gets the value of the beneficiary property.
    `String` | `getCarmedNumber()` Gets the value of the carmedNumber property.
    `OcmwCpasType` | `getPswc()` Gets the value of the pswc property.
    `PeriodType` | `getValidityPeriod()` Gets the value of the validityPeriod property.
    `BigInteger` | `getVersionNumber()` Gets the value of the versionNumber property.
    `void` | `setBeneficiary(BeneficiaryType value)` Sets the value of the beneficiary property.
    `void` | `setCarmedNumber(String value)` Sets the value of the carmedNumber property.
    `void` | `setPswc(OcmwCpasType value)` Sets the value of the pswc property.
    `void` | `setValidityPeriod(PeriodType value)` Sets the value of the validityPeriod property.
    `void` | `setVersionNumber(BigInteger value)` Sets the value of the versionNumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CarmedIdentifierType

          public CarmedIdentifierType()

  - ### Method Detail

    - #### getCarmedNumber

          public String getCarmedNumber()

      Gets the value of the carmedNumber property.
      Returns:
        possible object is `String`

    - #### setCarmedNumber

          public void setCarmedNumber(String value)

      Sets the value of the carmedNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersionNumber

          public BigInteger getVersionNumber()

      Gets the value of the versionNumber property.
      Returns:
        possible object is `BigInteger`

    - #### setVersionNumber

          public void setVersionNumber(BigInteger value)

      Sets the value of the versionNumber property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getBeneficiary

          public BeneficiaryType getBeneficiary()

      Gets the value of the beneficiary property.
      Returns:
        possible object is `BeneficiaryType`

    - #### setBeneficiary

          public void setBeneficiary(BeneficiaryType value)

      Sets the value of the beneficiary property.
      Parameters:
        `value` - allowed object is `BeneficiaryType`

    - #### getValidityPeriod

          public PeriodType getValidityPeriod()

      Gets the value of the validityPeriod property.
      Returns:
        possible object is `PeriodType`

    - #### setValidityPeriod

          public void setValidityPeriod(PeriodType value)

      Sets the value of the validityPeriod property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### getPswc

          public OcmwCpasType getPswc()

      Gets the value of the pswc property.
      Returns:
        possible object is `OcmwCpasType`

    - #### setPswc

          public void setPswc(OcmwCpasType value)

      Sets the value of the pswc property.
      Parameters:
        `value` - allowed object is `OcmwCpasType`

Connector Packaging PERSPHYSICIAN 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.